Retrieve a Document Signer
Roles
Analytics Events
/v2/credentials/mobile/document-signers/{documentSignerId}Retrieves an existing Document Signer by providing its ID.
Analytic events
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_START
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_SUCCESS
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Document Signer ID
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/mobile/document-signers/d2c9f2aa-fc69-4fbc-9b85-0c00591d72f6"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"active": true,
"csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all Document Signers GET
Retrieves all existing Document Signers from the tenant. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_FAIL
Update a Document Signer PUT
Updates an existing Document Signer by providing its ID and `active` parameter. Only available in implementations using unmanaged (external) IACAs. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_FAIL